PDA

View Full Version : Alice 3.0 and OS X Lion


mcgski
07-19-2011, 02:08 PM
Hello. I'm new to the forum and didn't see this in any search results.

I've just recently installed Alice 2.2 for my daughter on her Mac Mini and noticed it required Rosetta during the install process. This implies there are sections of code that are PPC and not Intel. According to the scuttlebutt around the next OS X release 10.7, support for PPC and Rosetta will be removed.

Are there plans to make Alice 3.0 compatible with the newer operating systems from Apple?

Thanks.

Dj Tech42
07-19-2011, 06:43 PM
Alice 2.2 is PPC and will probably never be updated unfortunately :( . Alice 3.0 is Intel, however, and should work fine. It didn't need Rosetta on Snow Leopard.

I am in the same boat as you as I won't be able to run Alice 2.2 when I update to Mac OS X Lion. All my projects were made in Alice 2.2 and aren't compatible with Alice 3. :(:(:(

Ompus
07-22-2011, 12:26 PM
I downloaded 3.0 to my Lionized Mac. Opening the installer yields nothing. No 'Alice', no dialog messages, no error messages.

Bummer.

beachbum111111
07-22-2011, 01:00 PM
Alice 2.2 is PPC and will probably never be updated unfortunately :( . Alice 3.0 is Intel, however, and should work fine. It didn't need Rosetta on Snow Leopard.

I am in the same boat as you as I won't be able to run Alice 2.2 when I update to Mac OS X Lion. All my projects were made in Alice 2.2 and aren't compatible with Alice 3. :(:(:(

Alice 2.2 works on both intel and powerpc.

Philip19Miller
07-22-2011, 02:36 PM
Alice doesn't work on Lion. :mad:

beachbum111111
07-22-2011, 06:39 PM
It will update. Lion is only a couple a days old.

Dj Tech42
07-22-2011, 07:11 PM
It is PowerPC. It only works on Intel if you use Rosetta to emulate. Lion drops support for Rosetta, so no Alice. :(

Dj Tech42
07-22-2011, 08:29 PM
Explanation here: http://roaringapps.com/app:2099

jfucci
07-24-2011, 09:52 AM
I downloaded 3.0 to my Lionized Mac. Opening the installer yields nothing. No 'Alice', no dialog messages, no error messages.

Bummer.

I had the same problem. Turned out that Java was not fully installed after I upgraded to Lion. Go to Utilities -> Java Preferences and this will get the process going for downloading and installing what is needed. After this completed, I was able to install Alice 3.0 without any problems.

Philip19Miller
07-24-2011, 11:29 AM
Alice 2.2 works on both intel and powerpc.

Alice does not run under Lion. I partitioned my hard drive and now have a Snow Leopard partition and a Lion partition. The only thing that I am running in the Snow Leopard partition is Alice. :roll eyes:

I will be delighted to learn that I am wrong and Alice actually does run on Lion.

Dj Tech42
08-03-2011, 08:25 PM
I had the same problem. Turned out that Java was not fully installed after I upgraded to Lion. Go to Utilities -> Java Preferences and this will get the process going for downloading and installing what is needed. After this completed, I was able to install Alice 3.0 without any problems.

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ This is what you need to do. If you want to run Alice 3, make sure Java is installed first.

katherineeobryan
08-08-2011, 03:00 AM
The Alice 2.0 is the great but the new version is Alice 3.0 is great features to enhance the compatibly

gabe
08-08-2011, 02:40 PM
Alice 3 is compatible with Lion. Our of our machines has been upgraded to Lion and so far it works as expected. You will need to have Java installed. As Lion does not come bundled with a JRE, you'll need to install it as described in a previous post. Also please make sure you are running the latest release (3.0.3.0.0).